evalgate
Create evalgate synthesize
Requires scopes: reports:write
POST
/
api
/
evalgate
/
synthesize
Create evalgate synthesize
curl --request POST \
--url https://evalgate.com/api/evalgate/synthesize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"datasetContent": "<string>",
"evaluationId": 123,
"count": 123,
"failureModes": [
"<string>"
],
"dimensions": {},
"stageMissionProposals": false
}
'import requests
url = "https://evalgate.com/api/evalgate/synthesize"
payload = {
"datasetContent": "<string>",
"evaluationId": 123,
"count": 123,
"failureModes": ["<string>"],
"dimensions": {},
"stageMissionProposals": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
datasetContent: '<string>',
evaluationId: 123,
count: 123,
failureModes: ['<string>'],
dimensions: {},
stageMissionProposals: false
})
};
fetch('https://evalgate.com/api/evalgate/synthesize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"missionId": "<string>",
"proposalsInserted": 123,
"sourceCases": 123,
"sourceFailures": 123,
"selectedFailureModes": [
"<string>"
],
"dimensionNames": [
"<string>"
],
"dimensionCombinationCount": 123,
"generated": 123,
"modeCounts": [
{
"failureMode": "<string>",
"count": 123
}
],
"cases": [
{
"synthetic": true,
"synthesizedAt": "<string>",
"sourceCaseIds": [
"<string>"
],
"dimensions": {},
"caseId": "<string>",
"input": "<string>",
"expected": "<string>",
"actual": "<string>",
"label": "pass",
"failureMode": "<string>",
"labeledAt": "<string>",
"metadata": {
"behavior": "<string>",
"difficulty": "<string>",
"tags": [
"<string>"
],
"sourceRunId": 123,
"sourceTestCaseId": 123,
"agentWorkflow": {
"version": 1,
"workflowClass": "approval_gated_mutation",
"autonomyLevel": "manual",
"approvalMode": "human_review",
"riskLevel": "low",
"memoryMode": "session",
"backgroundExecution": true,
"requiresCheckpoint": true,
"expectedHandoff": true,
"requiredHooks": [
"session_start"
],
"activeTools": [
"<string>"
],
"permissionScope": {
"filesystem": [
"<string>"
],
"network": "open",
"externalSystems": [
"<string>"
],
"mutatesState": false
},
"expectedFailureModes": [
"<string>"
],
"scenario": "<string>",
"provenance": {
"source": "manual",
"evaluationId": 123,
"runId": 123,
"testCaseId": 123,
"traceId": "<string>"
}
},
"workflowExperimentRecipe": {
"version": 1,
"title": "<string>",
"objective": "<string>",
"workflowClass": "approval_gated_mutation",
"source": "coverage_gap",
"linkedFailureModes": [
"<string>"
],
"linkedTestCaseIds": [
123
],
"comparedVariants": [
{
"id": "<string>",
"label": "<string>",
"changes": [
"<string>"
],
"expectedImpact": "<string>",
"autonomyLevel": "manual",
"approvalMode": "human_review",
"memoryMode": "session",
"hooks": [
"session_start"
]
}
],
"successMetrics": [
"<string>"
],
"guardrails": [
"<string>"
],
"recommendedIterations": 123,
"rationale": "<string>"
}
}
}
],
"dimensionCartesianProductTotal": 123
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create evalgate synthesize
